Google Chrome Version 60 or above compulsory     

Required Software Link